# Connect to Android app

## Install `Parse-SDK-Android`

Open your project's `build.gradle` file (**not** the module file) and add this dependency,

```java
allprojects {
	repositories {
		...
		maven { url "https://jitpack.io" }
	}
}
```

Then open your module `build.gradle` file and add the Parse library \
(with the latest version being[![](https://jitpack.io/v/parse-community/Parse-SDK-Android.svg)](https://jitpack.io/#parse-community/Parse-SDK-Android))

```java
dependencies {
    implementation "com.github.parse-community.Parse-SDK-Android:parse:1.18.5"
}
```

## Initialize Parse

Setup Parse using your server configuration:

{% code title="MyApp.java" %}

```java
import com.parse.Parse;
import android.app.Application;

public class MyApp extends Application 
{
  @Override
  public void onCreate() 
  {
    super.onCreate();
    
    Parse.initialize(new Parse.Configuration.Builder(this)
      .applicationId("YOUR_APP_ID")
      .clientKey("YOUR_CLIENT_KEY")
      .server("https://xxxx.parse-symbyoz.com/parse/")
      .enableLocalDataStore()
      .build()); 
  }
}
```

{% endcode %}

The custom `Application` class must be registered in `AndroidManifest.xml`

{% code title="AndroidManifest.xml" %}

```markup
<application
   android:name=".MyApp"
   ...>
   ...
 </application>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.symbyoz.io/code_examples/connect-to-android-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
